Subject: Re: I: gcc ... -U_WIN32 ... may cause problems
From: [email-masked] (Earnie Boyd)

11 Sep 1998 02:33:31 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Geoffrey Noer <[email-masked]>
Cc: Mumit Khan <[email-masked]>, gw32 <[email-masked]>

---Geoffrey Noer <[email-masked]> wrote:
>
> On Tue, Sep 08, 1998 at 04:56:32AM -0700, Earnie Boyd wrote:
> [...]
> > The `argument' I have for removing the _WIN32 from cygwin32 (I'll
live
> > with mingw32) is that there exists code that already has some
porting
> > to WIN32 and it gets in the way of wanting to build the __UNIX__
> > version under WIN32.  Since this is the goal of the Cygnus Project
> > then it would be best served to remove the definitions of _WIN32.
> 
> Cygwin32 wants to allow both Unix and Win32 API calls.  Although I
> see the appeal in making it possible to express a preference for one
> or the other, I don't think overloading "_WIN32" is the right
> solution.  "_WIN32" means "access to the Win32 API" to me, something
> that the Cygwin32 configuration permits.
> 

Geoffrey, __CYGWIN32__ means "access to both Win32 API calls and
Unix/Posix API calls".  _WIN32 means "access to only Win32 API calls".
 __MINGW32__ means "access to only Win32 API calls" (Actually could be
dropped in favor of _WIN32).

==
-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".